#! /bin/sh
# pass in the path to the XML file for the Latka suite
# optionally override the default host and default port
#
# Author:   Morgan Delagrange
# Author:   dIon Gillard
# 
# Version:  $Id: latka.sh 155424 2005-02-26 13:09:29Z dirkv $
#
# Set the LATKA_HOME environment variable to your latka install directory
if [ -z "$LATKA_HOME" ] ; then
    LATKA_HOME=..
fi
# Set up classpath for latka - . + all jars in latka/lib + latka/lib
LATKA_LIB=$LATKA_HOME/lib
LATKA_LIBS=${LATKA_LIB}/*.jar
LATKA_CP=.
for lib in ${LATKA_LIBS}
do
    # this condition will be false if there are no jar files in LATKA_LIB
    if [ "$lib" != "${LATKA_LIBS}" ] ; then
        LATKA_CP=$LATKA_CP:"$lib"
    fi
done
LATKA_CP=$LATKA_CP:$LATKA_LIB
LATKA_VM_ARGS=-Djava.protocol.handler.pkgs=com.sun.net.ssl.internal.www.protocol
# run latka
java -classpath $LATKA_CP $LATKA_VM_ARGS org.apache.commons.latka.Latka $*


